package com.ruoyi.os.mapper;

import com.ruoyi.os.domain.DrugFiling;
import java.util.List;
/**
 *
 *  @author 何顺
 *  @date 2024-09-17
 */
public interface DrugFilingMapper {
    List<DrugFiling> selectDrugFilingList(DrugFiling drugFiling);
    DrugFiling selectDrugFilingById(Long id);
    int insertDrugFiling(DrugFiling drugFiling);
    int updateDrugFiling(DrugFiling drugFiling);
    int deleteDrugFilingById(Long id);
    int deleteDrugFilingByArchiveId(Long archiveId);
}